FROM ${ARCH}/debian:stretch as builder

# INSTALL BUILD DEPENDENCIES
RUN apt-get update && apt-get install -y \
	&& apt-get clean \
	&& rm -rf /var/lib/apt/lists

WORKDIR /work

# COPY SOURCE CODE
COPY . src

# BUILD
WORKDIR out

FROM ${ARCH}/debian:stretch

# INSTALL RUNTIME DEPENDENCIES
RUN apt-get update && apt-get install -y \
	systemd \
	&& apt-get clean \
	&& rm -rf /var/lib/apt/lists

# COPY BUILD ARTIFACTS
COPY --from=builder /work/out /usr/local

CMD [ "/lib/systemd/systemd" ]
